# Makefile for analog 5.32, libgd subdirectory
# Please read docs/Readme.html, or http://www.analog.cx/

HEADERS = gd.h gd_io.h gdfontf.h gdfonts.h ../zlib/zlib.h ../libpng/png.h
OBJS = gd.obj gd_io.obj gd_io_file.obj gd_png.obj gdfontf.obj gdfonts.obj gdtables.obj

all: $(OBJS)

gd.obj: gd.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gd.c

gd_io.obj: gd_io.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gd_io.c

gd_io_file.obj: gd_io_file.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gd_io_file.c

gd_png.obj: gd_png.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gd_png.c

gdfontf.obj: gdfontf.c $(HEADERS) gdfontf.h Makefile
	$(CC) $(ALLCFLAGS) -c gdfontf.c

gdfonts.obj: gdfonts.c $(HEADERS) gdfonts.h Makefile
	$(CC) $(ALLCFLAGS) -c gdfonts.c

gdtables.obj: gdtables.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gdtables.c

clean:
	rm -f *.obj *~
